drop Table CT_ENT_DataCSFE;
Create Table CT_ENT_DataCSFE (
    FID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    FSeq INT DEFAULT 0 NOT NULL,
    FParentID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    CFSeq INT,
    CFDataType VARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFFieldKey NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFDatabaseName NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFFieldName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFMappingKey NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFDataEntry NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CONSTRAINT CPK_ENT_DataCSFcsb PRIMARY KEY (FID)
);
drop Table CT_ENT_DataConfig;
Create Table CT_ENT_DataConfig (
    FCreatorID VARCHAR(44) COLLATE Chinese_PRC_CS_AS, 
    FCreateTime DateTime,
    FLastUpdateUserID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FLastUpdateTime DateTime,
    FControlUnitID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FNumber NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FBizDate DateTime,
    FHandlerID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FDescription NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FHasEffected INT,
    FAuditorID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FSourceBillID NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FSourceFunction NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    FFivouchered INT,
    CFName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFOsfName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFRemarks NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFSqlStr NVARCHAR(255) COLLATE Chinese_PRC_CS_AS,
    CONSTRAINT CPK_ENT_DataCIDvs9 PRIMARY KEY (FID)
);
drop Table CT_ENT_DataConfigEntry;
Create Table CT_ENT_DataConfigEntry (
    FSeq INT,
    FID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    FParentID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFEntryName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFEntryFull NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFAlias NVARCHAR(100) COLLATE Chinese_PRC_CS_AS, 
    CFRelationFeild NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFTableName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFRelationship VARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CONSTRAINT CPK_ENT_DataCEIuv9 PRIMARY KEY (FID)
);
drop Table CT_ENT_DataConfigFieldEntry;
Create Table CT_ENT_DataConfigFieldEntry (
    FID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    FSeq INT DEFAULT 0 NOT NULL,
    FParentID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    CFSeq INT,
    CFDataType VARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFFieldKey NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFDatabaseName NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFFieldName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFMappingKey NVARCHAR(2000) COLLATE Chinese_PRC_CS_AS,
    CFDataEntry NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CONSTRAINT CPK_ENT_DataCFE6lb PRIMARY KEY (FID)
);
drop Table CT_ESI_FieldMapping;
Create Table CT_ESI_FieldMapping (
    FCreatorID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FCreateTime DateTime,
    FLastUpdateUserID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FLastUpdateTime DateTime,
    FControlUnitID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FNumber NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FBizDate DateTime,
    FHandlerID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FDescription NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FHasEffected INT,
    FAuditorID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    FSourceBillID NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FSourceFunction NVARCHAR(80) COLLATE Chinese_PRC_CS_AS,
    FID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    FFivouchered INT,
    CFName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFDataSourceID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFESignFileID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFDataInterface NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CONSTRAINT CPK_ESI_FieldMIjr0 PRIMARY KEY (FID)
);
drop Table CT_ESI_FieldMappingEntry;
Create Table CT_ESI_FieldMappingEntry (
    FSeq INT,
    FID VARCHAR(44) DEFAULT '' NOT NULL COLLATE Chinese_PRC_CS_AS,
    FParentID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFTemplateID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFEFieldID VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFDataSourceFieldI VARCHAR(44) COLLATE Chinese_PRC_CS_AS,
    CFEFieldMark NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CFEFieldName NVARCHAR(100) COLLATE Chinese_PRC_CS_AS,
    CONSTRAINT CPK_ESI_FieldMEru0 PRIMARY KEY (FID)
);